unset multiplot
reset
set nokey
set term png enhanced \
    font 'CALIBRI.TTF' 22\
    size 1050,750
set output 'Graph.png'

set samples 10000
set offsets 0, 0, 0, 0
set lmargin 7
set bmargin 3.2
set rmargin 1.5
set tmargin 2.5

set style line 1  linetype 1 linewidth 2 lc rgb "red"
set style line 2  linetype 1 linewidth 2 lc rgb "cyan"
set style line 3  linetype 1 linewidth 1 lc rgb "black"
set style line 4  linetype 1 linewidth 1 lc rgb "blue"
set style line 5  linetype 1 linewidth 3 lc rgb "green"

set label 1 "ulazni podaci" at graph 0.05, graph 0.95 textcolor ls 4
set label 2 "polinomna"     at graph 0.05, graph 0.90 textcolor ls 1
set label 3 "racionalna"    at graph 0.05, graph 0.85 textcolor ls 2
set label 4 "spline"        at graph 0.05, graph 0.80 textcolor ls 3
set label 5 "f(x)"          at graph 0.05, graph 0.75 textcolor ls 5

set multiplot
  set origin 0.0,0.0
  set size 1.0,1.0
    #set ytics 100
    set xlabel  "x"
    set ylabel  "f(x)"
    set title 'Usporedba interpolacija'

    plot [:][:] x*x                   w l ls 5 ,\
         'out_x_finter.txt'    u 1:2  w l ls 1 ,\
         'out_x_finter.txt'    u 1:3  w l ls 2 ,\
         'out_x_finter.txt'    u 1:4  w l ls 3 ,\
         'in_x_fx.txt'         u 1:2  w p pointtype 7 pointsize 1 lc rgb "blue"

unset multiplot
unset output

set terminal windows enhanced \
    font 'C:\WINDOWS\Fonts\CALIBRI.TTF' 18
